package com.zcxk;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * (Camera)实体类
 *
 * @author hym
 * @since 2020-12-03 14:25:35
 */
@Data
@ApiModel
public class Camera implements Serializable {
    private static final long serialVersionUID = -33591844896492203L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 设备序列号
     */
    @ApiModelProperty(value = "设备序列号",notes = "修改时需要传入")
    private String deviceSerial;
    /**
     * 平台key
     */
    @ApiModelProperty(value = "平台key",notes = "修改时需要传入")
    private String appKey;
    /**
     * 平台密钥
     */
    @ApiModelProperty(value = "平台密钥",notes = "修改时需要传入")
    private String appSecret;
    /**
     * 厂商
     */
    @ApiModelProperty(value = "厂商",hidden = true)
    private String manufacturer;
    /**
     * 平台
     */
    @ApiModelProperty(value = "平台",hidden = true)
    private String platform;
    /**
     * 验证码
     */
    @ApiModelProperty(value = "验证码",hidden = true)
    private String verificationCode;
    /**
     * 通道号
     */
    @ApiModelProperty(value = "通道号")
    private Integer channelNo;
    /**
     * 通道名称
     */
    @ApiModelProperty(value = "通道名称")
    private String channelName;
    /**
     * 通道序列号
     */
    @ApiModelProperty(value = "通道序列号",hidden = true)
    private String ipcSerial;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间",hidden = true)
    private Date dateCreate;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间",hidden = true)
    private Date dateUpdate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人",hidden = true)
    private String createBy;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人",hidden = true)
    private String updateBy;
    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    private Integer status;
    /**
     * 站点标识
     */
    @ApiModelProperty(value = "站点标识",hidden = true)
    private Integer siteId;
    /**
     * 监控点id
     */
    @ApiModelProperty(value = "监控点id",hidden = true)
    private Integer monitorPointId;
    /**
     * 监控场景id
     */
    @ApiModelProperty(value = "监控场景id",hidden = true)
    private Integer monitorSceneId;
    /**
     * 图片地址
     */
    @ApiModelProperty(value = "图片地址",hidden = true)
    private String  picUrl;
    /**
     * 摄像机状态
     */
    @ApiModelProperty(value = "摄像机状态",hidden = true)
    private Integer cameraStatus;
    /**
     * 录像机状态
     */
    @ApiModelProperty(value = "录像机状态",hidden = true)
    private Integer videoStatus;
    /**
     * 监控点名
     */
    @ApiModelProperty(value = "监控点名",hidden = true)
    private String monitorPointName;
    /**
     * 监控场景名
     */
    @ApiModelProperty(value = "监控场景名",hidden = true)
    private String monitorSceneName;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址",hidden = true)
    private String address;

    /**
     * 刷新状态标识
     */
    @JsonIgnore
    @ApiModelProperty(value = "刷新状态标识",hidden = true)
    private Boolean refreshFlag;
    /**
     * token
     */
    @ApiModelProperty(value = "token",hidden = true)
    private String token;
    /**
     * 播放url
     */
    @ApiModelProperty(value = "播放url",hidden = true)
    private String playUrl;
    /**
     * 播放replayUrl
     */
    @ApiModelProperty(value = "播放replayUrl",hidden = true)
    private String replayUrl;

}