package com.zcxk.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
public class SceneDataForAppDto {
    /** 场景名称 */
    @ApiModelProperty(value = "场景名称")
    private String sceneName;
    /** 地址 */
    @ApiModelProperty(value = "地址")
    private String address;

    /** 图片路径 */
    @ApiModelProperty(value = "图片路径")
    private String imagePath;
    @ApiModelProperty("今日供水量or今日出水量")
    private String yieldWaterUsage;
    @ApiModelProperty("今日取水量or今日进水量")
    private String intakeWaterUsage;
    @ApiModelProperty("今日耗电量")
    private String powerUsage;
    @ApiModelProperty("今日耗药量")
    private String drugUsage;
    /** 采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @NotNull(message = "参数值不能为空")
    @ApiModelProperty(value = "采集时间")
    private Date collectDate;

    @ApiModelProperty(value = "标记信息")
    private List<SceneDataDto> infos;
}
