package com.zcxk.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zcxk.entity.LoginLogEntity;
import com.zcxk.model.ProgramItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @description
 * @auto wangli
 * @data 2020-10-26 17:40
 */
@Data
public class LoginLogDto extends LoginLogEntity {

    @ApiModelProperty(value = "公司名称")
    @ExcelProperty(value = {"登录日志","公司名称"},index = 0)
    private String companyName;

    @ExcelProperty(value = {"登录日志","部门名称"},index = 1)
    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    @ExcelIgnore
    @ApiModelProperty(value = "查询条件（用户名/手机号）")
    private String condition;

    @ExcelIgnore
    @ApiModelProperty(value = "查询条件（起始时间）yyyy-MM-dd" ,example = "2020-12-12")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date beginTime;

    @ExcelIgnore
    @ApiModelProperty(value = "查询条件（终止时间）yyyy-MM-dd",example = "2020-12-12")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    @ExcelIgnore
    @ApiModelProperty(value ="权限",hidden = true)
    private List<ProgramItem> programItems;

    @ExcelIgnore
    @ApiModelProperty(value="用户权限类型")
    @TableField(exist = false)
    private Integer permissonType;

}
