package com.zcxk.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * @description 租户实体类（uims_tenant）
 * @auto wangli
 * @data 2020-10-26 15:44
 */
@Data
@ApiModel("租户信息")
public class TenantEntity implements Serializable {


    private static final long serialVersionUID = -8490493775559730646L;

    @ApiModelProperty(value = "主键id")
    private Integer id;
    @ApiModelProperty(value = "租户名称")
    private String tenantName;
    @ApiModelProperty(value = "租户标识:系统后台自动生成")
    private String code;
    @ApiModelProperty(value = "租户类型")
    private String tenantType;
    @ApiModelProperty(value = "租户Logo")
    private String logo;
    @ApiModelProperty(value = "租户域名")
    private String webUrl;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "租期开始日期",example = "2020-12-12 12:12:12")
    private Date startDate;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "租期结束日期",example = "2020-12-12 12:12:12")
    private Date endDate;
    @ApiModelProperty(value = "租户状态")
    private Integer tenantState;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "数据删除标识")
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间",example = "2020-12-12 12:12:12")
    private Date dateCreate;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间",example = "2020-12-12 12:12:12")
    private Date dateUpdate;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
}
