package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * uims_menu
 * @author: WYY
 * @date 2020-10-26 16:15
 */
@Data
@TableName("uims_tenant_menu")
public class TenantMenuEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    /** 菜单ID */
    @ApiModelProperty(value = "菜单ID")
    private Long MenuId;


    /** 名称 */
    @ApiModelProperty(value = "名称")
    private String menuName;

    @ApiModelProperty(value = "英文名称")
    private String englishName;

    /** 图标 */
    @ApiModelProperty(value = "图标")
    private String menuImage;

    /** 图标 */
    @ApiModelProperty(value = "动态图标")
    private String menuDynamicImage;

    /** 序列 */
    @ApiModelProperty(value = "序列")
    private Long menuSeq;

    /** 链接路径 */
    @ApiModelProperty(value = "链接路径")
    private String linkPath;


    /** 创建者 */
    @ApiModelProperty(value = "创建者")
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @NotNull(message = "参数值不能为空")
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;

    /** 更新者 */
    @ApiModelProperty(value = "更新者")
    private String updateBy;

    /** dateUpdate */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @NotNull(message = "参数值不能为空")
    @ApiModelProperty(value = "修改时间")
    private Date dateUpdate;

    /** status */
    @ApiModelProperty(value = "启用状态")
    @TableLogic
    private Integer status;

    /** 备注 */
    @ApiModelProperty(value = "备注")
    private String remark;

}
