package com.zcxk.charge.api.dto.generalview;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.core.utils.jsonSerializer.BigDecimalJsonSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @description 用水详情
 * @author  wangli
 * @data 2020/12/31 15:15
 */
@Data
@Api("用水详情")
public class DeviceWaterDetail implements Serializable {

    private static final long serialVersionUID = -5775222943150675973L;
    @ApiModelProperty("场景名称")

    private String sceneName;
    @ApiModelProperty("设备id")

    private Integer deviceId;
    @ApiModelProperty("属性id")

    private Long attributeId ;
    @ApiModelProperty("标记")

    private Integer parmType;
    @ApiModelProperty("值")

    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal amount = BigDecimal.ZERO;
    @ApiModelProperty("最后抄表数据")
    private BigDecimal latestValue;
}
