package com.zcxk.charge.api.dto.homepage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.core.utils.jsonSerializer.BigDecimalJsonSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @description
 * @author  wangli
 * @data 2021/3/1 10:17
 */
@Data
@Api("制水售水统计")
public class CompanyProduce {

    @ApiModelProperty("取水量")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal waterIntake;

    @ApiModelProperty("制水量")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal waterSupply;

    @ApiModelProperty("售水量")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal waterSale;

    @ApiModelProperty("营收金额")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal receivableAmount;

    @ApiModelProperty("实收金额")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal receivedAmount ;

    public CompanyProduce(){
        this.waterIntake = BigDecimal.ZERO;
        this.waterSupply = BigDecimal.ZERO;
        this.waterSale = BigDecimal.ZERO;
        this.receivableAmount = BigDecimal.ZERO;
        this.receivedAmount = BigDecimal.ZERO;
    }

}
