package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcxk.charge.api.dto.ComdisplayInfoDto;
import com.zcxk.charge.api.vo.ComdisplayInfoVo;
import com.zcxk.charge.core.entity.ComdisplayMapLocationEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_comdisplay_map_locationDAO接口
 * @author: WYY
 * @date 2021-02-24 09:58
 */
@Mapper
public interface ComdisplayMapLocationMapper extends BaseMapper<ComdisplayMapLocationEntity> {

     /**
     * id查询
     * @author Andy
     * @date 17:58 2021/8/17
     * @param id:
     * @return com.zcxk.charge.core.entity.ComdisplayMapLocationEntity
     **/
     ComdisplayMapLocationEntity findComdisplayMapLocationById(Serializable id);

     /**
     * 查询集合
     * @author Andy
     * @date 17:58 2021/8/17
     * @param comdisplayMapLocationEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.ComdisplayMapLocationEntity>
     **/
     List<ComdisplayMapLocationEntity> findList(ComdisplayMapLocationEntity comdisplayMapLocationEntity);

     /**
     * 查询集合
     * @author Andy
     * @date 17:58 2021/8/17
     * @param tenantId:
     * @return java.util.List<com.zcxk.charge.api.vo.ComdisplayInfoVo>
     **/
     List<ComdisplayInfoVo> selectMapDataForCompany(@Param(value = "tenantId") String tenantId);

     /**
     * selectMapDataForSingleCompany
     * @author Andy
     * @date 17:58 2021/8/17
     * @param tenantId:
     * @param companyOrgId:
     * @return java.util.List<com.zcxk.charge.api.vo.ComdisplayInfoVo>
     **/
     List<ComdisplayInfoVo> selectMapDataForSingleCompany(@Param(value = "tenantId") String tenantId, @Param(value = "companyOrgId") Integer companyOrgId);

}
