package com.zcxk.charge.core.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Gis设置(sms_gis_setting)实体类
 *
 * @author yjy
 * @since 2020-11-16
 */
@Data
@ApiModel
@TableName("sms_gis_setting")
public class GisSetting implements Serializable {
    private static final long serialVersionUID = 269554608076349144L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(type= IdType.AUTO)
    private Integer id;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;
    /**
     * 所属公司
     */
    @ApiModelProperty(value = "所属公司")
    private Integer companyOrgId;
    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private Integer deptOrgId;
    /**
     * 外网设置
     */
    @ApiModelProperty(value = "外网设置")
    private String extranetSetting;
    /**
     * 内网设置
     */
    @ApiModelProperty(value = "内网设置")
    private String intranetSetting;
    /**
     * 服务类型
     */
    @ApiModelProperty(value = "服务类型")
    private String serviceType;
    /**
     * 数据删除标识
     */
    @ApiModelProperty(value = "数据删除标识")
    @TableLogic
    private Integer status;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;
}