package com.zcxk.charge.core.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统设置(sms_system_setting)实体类
 *
 * @author yjy
 * @since 2020-11-16
 */
@Data
@ApiModel
@TableName("sms_system_setting")
public class SystemSetting implements Serializable {
    private static final long serialVersionUID = 269554608076349144L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(type= IdType.AUTO)
    private Integer id;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;
    /**
     * 所属公司
     */
    @ApiModelProperty(value = "所属公司")
    private Integer companyOrgId;
    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private Integer deptOrgId;
    /**
     * 地图数据刷新频率
     */
    @ApiModelProperty(value = "地图数据刷新频率")
    private Integer mapDataRefresh;
    /**
     * 概览页数据刷新频率
     */
    @ApiModelProperty(value = "概览页数据刷新频率")
    private Integer firstPageRefresh;
    /**
     * 工艺图数据刷新频率
     */
    @ApiModelProperty(value = "工艺图数据刷新频率")
    private Integer processDrawingRefresh;
    /**
     * 地图悬浮参数是否显示
     */
    @ApiModelProperty(value = "地图悬浮参数是否显示")
    private Integer mapSuspensionDisplay;
    /**
     * 数据删除标识
     */
    @ApiModelProperty(value = "数据删除标识")
    @TableLogic
    private Integer status;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;
}