package com.zcxk.rmcp.api.dto.device;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author linqingwei
 * @date 2021-07-19 15:17
 */
@ApiModel
@Data
public class DeviceInputDto {

    @ApiModelProperty(value="编号")
    private Long id;

    @NotNull(message = "companyOrgId cannot be null")
    @ApiModelProperty(value="公司")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门")
    private Integer deptOrgId;

    @NotNull(message = "productId cannot be null")
    @ApiModelProperty(value="产品")
    private Integer productId;

    @NotBlank(message = "deviceNo cannot be blank")
    @ApiModelProperty(value="设备编号")
    private String deviceNo;

    @NotBlank(message = "meterNo cannot be blank")
    @ApiModelProperty(value="电子号")
    private String meterNo;

    @ApiModelProperty(value="档案号")
    private String fileNo;

    @ApiModelProperty(value="铅封号")
    private String sealNo;

    @ApiModelProperty(value="地址")
    private String address;

    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    @ApiModelProperty(value="小区id")
    private Integer communityId;

    @ApiModelProperty(value="用户姓名")
    private String userName;

    @ApiModelProperty(value="用户手机号")
    private String userPhone;

    @ApiModelProperty(value="身份证号")
    private String idCard;

    @ApiModelProperty(value="旧表止度")
    private String oldEndDegree;

    @ApiModelProperty(value="旧表照片")
    private String oldImageUrl;


}
