package com.zcxk.rmcp.api.dto.meterreadrecord;

import com.zcxk.core.utils.ZoniotStringUtils;
import com.zcxk.rmcp.api.dto.BasePageDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author Andy
 * @version V1.0
 * @description: 抄表记录查询
 * @date 2021/7/22
 **/
@Data
public class MeterReadRecordDto extends BasePageDto {

    @NotNull(message = "分类ID")
    @ApiModelProperty(value="分类ID")
    private Integer categoryId;

    @ApiModelProperty(value="分类名字")
    private String categoryName;

    @ApiModelProperty(value="电子号/设备编号")
    private String deviceMeterNo;

    @ApiModelProperty(value="抄表状态")
    private Integer readStatus;

    @ApiModelProperty(value="日期")
    private String date;

    @ApiModelProperty(value="集中器编码Id")
    private String concentratorId;

    @ApiModelProperty(value="通道号Id")
    private Integer channelNumberId;

    @ApiModelProperty(value="采集器编码")
    private String collectorCode;

    public String getDate(){
        return ZoniotStringUtils.isNotEmpty(date) ? date + " 00:00:00" :date;
    }
}
