package com.zcxk.rmcp.core.dao;

import com.zcxk.core.common.pojo.UserCondition;
import com.zcxk.rmcp.api.dto.meterreplace.MeterReplacePageDto;
import com.zcxk.rmcp.api.vo.MeterReplaceVo;
import com.zcxk.rmcp.core.entity.MeterReplaceLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @author linqingwei
 * @date 2021-07-20 17:17
 */
@Mapper
public interface MeterReplaceLogMapper {

    /**
    * 添加数据
    * @author Andy
    * @date 14:55 2021/8/3
    * @param record:
    * @return int
    **/
    int insertSelective(MeterReplaceLog record);

    /**
    * 更新数据
    * @author Andy
    * @date 14:55 2021/8/3
    * @param record:
    * @return int
    **/
    int updateByPrimaryKeySelective(MeterReplaceLog record);


    /**
    * 查询换表纪录
    * @author Andy
    * @date 14:55 2021/8/3
    * @param id:
    * @return com.zcxk.rmcp.api.vo.MeterReplaceVo
    **/
    MeterReplaceVo findMeterReplace(Long id);


    /**
    * 查询集合
    * @author Andy
    * @date 14:55 2021/8/3
    * @param dto:
    * @param query:
    * @return java.util.List<com.zcxk.rmcp.api.vo.MeterReplaceVo>
    **/
    List<MeterReplaceVo> listMeterReplace(@Param("dto") MeterReplacePageDto dto, @Param("userCondition") UserCondition query);

    /**
     * 更新状态
     * @author Andy
     * @date 14:22 2021/8/16
     * @param ids:
     * @param status:
     * @return void
     **/
    void updateStatus(List<Long> ids, Integer status);


}