package com.zcxk.rmcp.core.dao;

import com.zcxk.core.common.pojo.UserCondition;

import com.zcxk.rmcp.api.vo.ProductCategoryVo;
import com.zcxk.rmcp.core.entity.ProductCategory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author linqingwei
 * @date 2021-07-21 17:00
 */
@Mapper
public interface ProductCategoryMapper {

    /**
    * 添加数据
    * @author Andy
    * @date 14:58 2021/8/3
    * @param record:
    * @return int
    **/
    int insertSelective(ProductCategory record);

    /**
    * 更新数据
    * @author Andy
    * @date 14:59 2021/8/3
    * @param record:
    * @return int
    **/
    int updateByPrimaryKeySelective(ProductCategory record);

    /**
    * 根据ID查找
    * @author Andy
    * @date 14:59 2021/8/3
    * @param id:
    * @return com.zcxk.rmcp.core.entity.ProductCategory
    **/
    ProductCategory findById(@Param("id") Integer id);

    /**
    * 获取产品分类
    * @author Andy
    * @date 14:59 2021/8/3
    * @param userCondition:
    * @return java.util.List<com.zcxk.rmcp.api.vo.ProductCategoryVo>
    **/
    List<ProductCategoryVo> listProductCategory(@Param("userCondition") UserCondition userCondition);

    List<ProductCategoryVo> queryList();

}