package com.zcxk.rmcp.core.dao;

import com.zcxk.core.common.pojo.UserCondition;
import com.zcxk.rmcp.api.dto.readrate.ReadRateDto;
import com.zcxk.rmcp.api.vo.ReadRateVo;
import com.zcxk.rmcp.api.vo.StatisticsReadRateVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Andy
 * @version V1.0
 * @description: 统计7天的抄表率
 * @date 2021/7/26
 **/
@Mapper
public interface ReadRate7DayMapper {

    /**
    * 统计抄表率
    * @author Andy
    * @date 15:01 2021/8/3
    * @param condition:
    * @return java.util.List<com.zcxk.rmcp.api.vo.StatisticsReadRateVo>
    **/
    List<StatisticsReadRateVo> statReadRateGroupCategory(@Param("userCondition") UserCondition condition);

    /**
    * 查询数据
    * @author Andy
    * @date 15:01 2021/8/3
    * @param dto:
    * @param condition:
    * @return java.util.List<com.zcxk.rmcp.api.vo.ReadRateVo>
    **/
    List<ReadRateVo> listReadRate(@Param("dto") ReadRateDto dto, @Param("userCondition") UserCondition condition);

    /**
    * 统计总数
    * @author Andy
    * @date 15:01 2021/8/3
    * @param dto:
    * @param condition:
    * @return com.zcxk.rmcp.api.vo.StatisticsReadRateVo
    **/
    StatisticsReadRateVo countReadRate(@Param("dto") ReadRateDto dto, @Param("userCondition") UserCondition condition);
}
