package com.zcxk.rmcp.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-07-19 9:44
 */
@ApiModel(value="设备信息")
@Data
public class Device implements Serializable {
    @ApiModelProperty(value="")
    private Long id;

    @ApiModelProperty(value="租户")
    private String tenantId;

    @ApiModelProperty(value="分类")
    private Integer categoryId;

    @ApiModelProperty(value="公司")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门")
    private Integer deptOrgId;

    @ApiModelProperty(value="产品")
    private Integer productId;

    @ApiModelProperty(value="设备编号")
    private String deviceNo;

    @ApiModelProperty(value="电子号")
    private String meterNo;

    @ApiModelProperty(value="档案号")
    private String fileNo;

    @ApiModelProperty(value="铅封号")
    private String sealNo;

    @ApiModelProperty(value="设备状态 1、正常 2、离线 3、报警 4、未启用")
    private Integer deviceStatus;

    @ApiModelProperty(value="地址")
    private String address;

    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    @ApiModelProperty(value="小区")
    private Integer communityId;

    @ApiModelProperty(value="读数")
    private String readData;

    @ApiModelProperty(value="阀门状态 0:关,1:开,2:无阀")
    private Integer valveStatus;

    @ApiModelProperty(value="最后上报时间")
    private LocalDateTime lastReceiveTime;

    @ApiModelProperty(value="用户姓名")
    private String userName;

    @ApiModelProperty(value="用户手机号")
    private String userPhone;

    @ApiModelProperty(value="身份证号")
    private String idCard;

    @ApiModelProperty(value="旧表止度")
    private String oldEndDegree;

    @ApiModelProperty(value="旧表照片")
    private String oldImageUrl;

    @ApiModelProperty(value="最后告警时间")
    private LocalDateTime lastAlarmDate;

    @ApiModelProperty(value="离线时间")
    private LocalDateTime offlineDate;

    @ApiModelProperty(value="验收时间")
    private LocalDateTime acceptDate;

    @ApiModelProperty(value="安装时间")
    private LocalDateTime installDate;

    @ApiModelProperty(value="是否安装，0否1是")
    private Integer isInstall;

    @ApiModelProperty(value="是否验收，0否1是")
    private Integer isAccept;

    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="创建人")
    private String createBy;

    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value="更新人")
    private String updateBy;

    @ApiModelProperty(value="更新时间")
    private LocalDateTime updateDate;
}