package com.zcxk.rmcp.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Andy
 * @version V1.0
 * @description: 抄表率（今天，昨天，7天，上月）
 * @date 2021/7/26
 **/
@ApiModel(value="抄表率（今天，昨天，7天，上月）")
@Data
public class ReadRate {

    @ApiModelProperty(value="统计日期")
    private Integer statDay;

    @ApiModelProperty(value="租户ID")
    private String tenantId;

    @ApiModelProperty(value="分类ID")
    private Integer categoryId;

    @ApiModelProperty(value="公司ID")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门ID")
    private Integer deptOrgId;

    @ApiModelProperty(value="设备数")
    private int deviceCount;

    @ApiModelProperty(value="应抄数据")
    private int readTimes;

    @ApiModelProperty(value="实抄数据")
    private int realReadTimes;

    @ApiModelProperty(value="未抄数据")
    private int unReadTimes;

    @ApiModelProperty(value="抄表率")
    private BigDecimal readRate;

    @ApiModelProperty(value="创建日期")
    private Date dateCreate;

    @ApiModelProperty(value="更新日期")
    private Date dateUpdate;

}
