package com.zcxk.rmcp.web.controller;

import com.zcxk.core.common.pojo.AjaxMessage;
import com.zcxk.rmcp.web.service.ProductCategoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

/**
* @author Andy
* @description 产品分类
* @date 10:09 2021/8/2
**/
@Controller
@ResponseBody
@RequestMapping("/product/category")
@Api(tags = "产品分类")
public class ProductCategoryController {

    @Autowired
    private ProductCategoryService productCategoryService;

    @RequestMapping(value = "/list", method = RequestMethod.GET)
    @ApiOperation(value = "查询产品分类")
    public AjaxMessage<List> listProductCategory() {
        return AjaxMessage.success(productCategoryService.listProductCategory());
    }

}
