package com.zcxk.rmcp.web.service;

import com.zcxk.core.mysql.pageing.Pagination;
import com.zcxk.rmcp.api.dto.devicecommand.DeviceCommandPageDto;
import com.zcxk.rmcp.api.vo.DeviceCommandVo;
import com.zcxk.rmcp.core.entity.DeviceCommand;

import java.util.List;

/**
 * 
 * @author linqingwei
 * @date 2021-07-20 16:16
 */
public interface DeviceCommandService{

    /**
    * 保存数据
    * @author Andy
    * @date 14:52 2021/8/3
    * @param record:
    * @return int
    **/
    int insertSelective(DeviceCommand record);

    /**
    * 查询阀控记录
    * @author Andy
    * @date 14:52 2021/8/3
    * @param id:
    * @return com.zcxk.rmcp.api.vo.DeviceCommandVo
    **/
    DeviceCommandVo findDeviceCommand(Long id);

    /**
    * 更新数据
    * @author Andy
    * @date 14:52 2021/8/3
    * @param record:
    * @return int
    **/
    int updateByPrimaryKeySelective(DeviceCommand record);

    /**
    * 分页查询
    * @author Andy
    * @date 14:52 2021/8/3
    * @param pageDto:
    * @return com.zcxk.core.mysql.pageing.Pagination<com.zcxk.rmcp.api.vo.DeviceCommandVo>
    **/
    Pagination<DeviceCommandVo> pageDeviceCommand(DeviceCommandPageDto pageDto);

    /**
    * 查询集合
    * @author Andy
    * @date 14:52 2021/8/3
    * @param pageDto:
    * @return java.util.List<com.zcxk.rmcp.api.vo.DeviceCommandVo>
    **/
    List<DeviceCommandVo> listDeviceCommand(DeviceCommandPageDto pageDto);

    /**
    * 删除
    * @author Andy
    * @date 14:26 2021/8/16
    * @param id:
    * @return void
    **/
    void delete(Long id);

    /**
    * 删除全部
    * @author Andy
    * @date 14:27 2021/8/16
    * @param ids:
    * @return void
    **/
    void deleteAll(List<Long> ids);

}
