package com.zcxk.rmcp.web.service;

import com.zcxk.core.mysql.pageing.Pagination;
import com.zcxk.rmcp.api.dto.meterreplace.MeterReplacePageDto;
import com.zcxk.rmcp.api.dto.meterreplace.WaterMeterReplaceInputDto;
import com.zcxk.rmcp.api.vo.MeterReplaceVo;
import com.zcxk.rmcp.core.entity.MeterReplaceLog;

import java.util.List;

/**
 * 
 * @author linqingwei
 * @date 2021-07-20 17:17
 */
public interface MeterReplaceLogService{


    /**
    * 添加数据
    * @author Andy
    * @date 14:55 2021/8/3
    * @param record:
    * @return int
    **/
    int insertSelective(MeterReplaceLog record);

    /**
    * 更新数据
    * @author Andy
    * @date 14:55 2021/8/3
    * @param record:
    * @return int
    **/
    int updateByPrimaryKeySelective(MeterReplaceLog record);

    /**
    * 查询换表记录
    * @author Andy
    * @date 14:55 2021/8/3
    * @param id:
    * @return com.zcxk.rmcp.api.vo.MeterReplaceVo
    **/
    MeterReplaceVo findMeterReplace(Long id);

    /**
    * 分页查询
    * @author Andy
    * @date 14:56 2021/8/3
    * @param pageDto:
    * @return com.zcxk.core.mysql.pageing.Pagination<com.zcxk.rmcp.api.vo.MeterReplaceVo>
    **/
    Pagination<MeterReplaceVo> pageMeterReplace(MeterReplacePageDto pageDto);

    /**
    * 查询集合
    * @author Andy
    * @date 14:56 2021/8/3
    * @param pageDto:
    * @return java.util.List<com.zcxk.rmcp.api.vo.MeterReplaceVo>
    **/
    List<MeterReplaceVo> listMeterReplace(MeterReplacePageDto pageDto);

    /**
    * 更新表
    * @author Andy
    * @date 14:56 2021/8/3
    * @param waterMeterReplaceDto:
    * @return void
    **/
    void submitWaterMeterReplace(WaterMeterReplaceInputDto waterMeterReplaceDto);

    /**
     * 删除
     * @author Andy
     * @date 14:26 2021/8/16
     * @param id:
     * @return void
     **/
    void delete(Long id);

    /**
     * 删除全部
     * @author Andy
     * @date 14:27 2021/8/16
     * @param ids:
     * @return void
     **/
    void deleteAll(List<Long> ids);

}
